import resolve from '@rollup/plugin-node-resolve';
import commonjs from '@rollup/plugin-commonjs';
import babel from 'rollup-plugin-babel';
import { eslint } from 'rollup-plugin-eslint';
import { uglify } from 'rollup-plugin-uglify';

export default {
  input: 'src/index.js',
  output: {
    file: 'dist/index.js',
    format: 'cjs'
  },
  plugins: [
    resolve(),
    eslint({
      throwOnWarning: true,
      throwOnError: true,
      include: ['src/**'],
      exclude: ['node_modules/**']
    }),
    // commonjs(),
    babel({
      runtimeHelpers: true, // 使plugin-transform-runtime生效
      extensions: ['.js', '.ts'],
      exclude: 'node_modules/**'
    }),
    commonjs(),
    // uglify()
  ]
};
