'use strict';


import {getPropertyCss, getRandomColor, numberShaking} from "../util";
import {aeLog} from "../log";

export function getDomCss(node, keyframeCss) {
  const {
    id,
    tagName,
    props = {}
  } = node;
  let defaultPropertyCss = 'position: absolute;';
  let {transformPropertyCss, normalPropertyCss} = getPropertyCss(props);
  if (transformPropertyCss) {
    transformPropertyCss += ';';
  }

  if (keyframeCss.indexOf(`anim-${id}`) > -1) {
    // 说明包含 动画属性
    defaultPropertyCss += `\nanimation: ${`anim-${id}`} ${numberShaking(props.animDuration, 0)}ms forwards infinite;`;
  }

  return `#${id} {\n  ${defaultPropertyCss}\n  ${normalPropertyCss}\n  ${transformPropertyCss}}\n`;
}
