'use strict';
import {getAllKeyframeCss} from "./core/keyframeCss";
import {getDomHtml, getDomWidthAndHeight} from "./core/dom";
import {setConfig} from "./config";

function htmlRender(cssTree) {
  // aeLog('traverseNode', traverseNode);
  // 先收集所有的动效keyframes
  const keyframeCss = getAllKeyframeCss(cssTree);
  const {domHtml, domCss} = getDomHtml(cssTree, keyframeCss);
  // console.log('domHtml', domHtml);
  // console.log('domCss', domCss);
  const htmlTemplate = '<!DOCTYPE html>\n' +
    '<html lang="en">\n' +
    '<head>\n' +
    '    <meta charset="UTF-8">\n' +
    '    <style type="text/css">\n' +
    `body{margin: 0;position: fixed;top: 0;right: 0;bottom: 0;left: 0;display: flex;align-items: center;justify-content: center;background: #232322}`+
    `${domCss}\n` +
    `${keyframeCss}\n` +
    '    </style>\n' +
    '</head>\n' +
    '<body>\n' +
    `${domHtml}\n` +
    '</body>\n' +
    '</html>\n';
  return {
    htmlTemplate,
    domHtml,
    domCss,
    keyframeCss
  };
}

export {
  getDomWidthAndHeight,
  htmlRender,
  setConfig,
};
